> ## Documentation Index
> Fetch the complete documentation index at: https://docs.octavehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Reference

> Soft delete a Reference by OId. The reference will be marked as deleted but not permanently removed.



## OpenAPI

````yaml delete /api/v2/reference/delete
openapi: 3.0.0
info:
  version: 1.0.0
  title: Octave API
  description: API for Octave workspace management and AI-powered content generation
servers:
  - url: https://app.octavehq.com
security:
  - ApiKeyAuth: []
paths:
  /api/v2/reference/delete:
    delete:
      tags:
        - Reference
      summary: Delete Reference
      description: >-
        Soft delete a Reference by OId. The reference will be marked as deleted
        but not permanently removed.
      operationId: deleteReference
      parameters:
        - schema:
            type: string
            description: Reference OId
          required: true
          name: oId
          in: query
      responses:
        '200':
          description: Deleted reference data
          content:
            application/json:
              schema:
                type: object
                properties:
                  _metadata:
                    $ref: '#/components/schemas/Metadata'
                  oId:
                    type: string
                    minLength: 1
                    description: The ID of the reference
                    example: r_1234
                  name:
                    type: string
                    nullable: true
                    description: The external facing name of the reference
                    example: Large filesharing service
                  internalName:
                    type: string
                    nullable: true
                    description: The internal name of the reference
                    example: Dropbox
                  createdAt:
                    type: string
                    description: The date and time the reference was created
                    example: '2021-01-01'
                  updatedAt:
                    type: string
                    nullable: true
                    description: The date and time the reference was updated
                    example: '2021-01-01'
                  deletedAt:
                    type: string
                    nullable: true
                    description: The date and time the reference was deleted
                    example: '2021-01-01'
                  archivedAt:
                    type: string
                    nullable: true
                    description: The date and time the reference was archived
                    example: '2021-01-01'
                  description:
                    type: string
                    nullable: true
                    description: The description of the reference
                    example: Description of the reference
                  active:
                    type: boolean
                    default: true
                    description: Whether the reference is active and can be used
                    example: true
                  data:
                    $ref: '#/components/schemas/ReferenceData'
                  user:
                    type: object
                    properties:
                      oId:
                        type: string
                        nullable: true
                        description: The ID of the user
                        example: u_1234
                      firstName:
                        type: string
                        nullable: true
                        description: The first name of the user who created the reference
                        example: John
                      lastName:
                        type: string
                        nullable: true
                        description: The last name of the user who created the reference
                        example: Doe
                  workspace:
                    type: object
                    properties:
                      oId:
                        type: string
                        nullable: true
                        description: The ID of the workspace
                        example: w_1234
                  unrecognized:
                    type: boolean
                    nullable: true
                    description: Whether the reference is unrecognized
                    example: false
                required:
                  - _metadata
                  - oId
                  - createdAt
                  - data
                  - user
                  - workspace
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  _metadata:
                    $ref: '#/components/schemas/Metadata'
                  message:
                    type: string
                required:
                  - _metadata
                  - message
        '404':
          description: Reference not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  _metadata:
                    $ref: '#/components/schemas/Metadata'
                  message:
                    type: string
                required:
                  - _metadata
                  - message
      deprecated: false
components:
  schemas:
    Metadata:
      type: object
      properties:
        usage:
          type: number
          default: 0
          description: API usage
          example: 0
        requestId:
          type: string
          description: Request ID
          example: requestId
        message:
          type: string
          description: Message
          example: message
        timestamp:
          type: string
          description: Timestamp
          example: '2021-01-01T00:00:00.000Z'
      required:
        - requestId
        - timestamp
    ReferenceData:
      type: object
      nullable: true
      properties:
        businessModel:
          type: string
          nullable: true
        theirChallenge:
          type: string
          nullable: true
        howTheyUseUs:
          type: string
          nullable: true
        whyTheyChoseUs:
          type: string
          nullable: true
        impactTheySaw:
          type: array
          nullable: true
          items:
            type: string
        stakeholdersInvolved:
          type: array
          nullable: true
          items:
            type: string
        customFields:
          $ref: '#/components/schemas/CustomDataFields'
    CustomDataFields:
      type: array
      items:
        $ref: '#/components/schemas/CustomDataFieldItem'
    CustomDataFieldItem:
      type: object
      properties:
        title:
          type: string
        value:
          type: array
          items:
            type: string
      required:
        - title
        - value
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api_key

````